{
    "layer": "top",
    "position": "bottom",
    "mode": "dock",
    "exclusive": true,
    "passtrough": true,
    "height": 20,

    "modules-left": [
        "hyprland/workspaces"
    ],

    "modules-center": [],

    "modules-right": ["idle_inhibitor", "disk", "cpu", "memory", "pulseaudio", "battery", "clock", "tray"],

    "hyprland/window": {
        "format": "{}"
    },

    "idle_inhibitor": {
        "format": "{icon}",
        "format-icons": {
            "activated": "",
            "deactivated": ""
        }
    },
    "disk": {
        "interval": 30,
        "format": "Free: {percentage_free}% ({free})",
        "path": "/",
        "unit": "GB"
    },

    "hyprland/workspaces": {
        "on-scroll-up": "hyprctl dispatch workspace m+1",
        "on-scroll-down": "hyprctl dispatch workspace m-1",
        "all-outputs": false,
        "on-click": "activate",
        "format": "{icon}",
        "format-icons": {
	    "1": "1",
	    "2": "2",
	    "3": "3",
	    "4": "4",
	    "5": "5",
	    "6": "6",
	    "7": "7",
	    "8": "8",
	    "9": "9",
	    "10": "10"
	    }
    },
    "cpu": {
        "format": "  {usage}%"
    },
    "memory": {
        "format": "  {}%"
    },

    "tray": {
        "icon-size": 20,
        "tooltip": false,
        "spacing": 10
    },

    "clock": {
        "tooltip-format": "{calendar}",
        "format": "{:%a %d.%m %H:%M:%S}",
		"interval": 1
    },

    "pulseaudio": {
        "format": "{icon}   {volume}%",
        "format-muted": "<big>󰝟</big>",
        "format-icons": {
           "headphone": "",
            "default": ["", "", ""]
        },
		"scroll-step": 5.0,
        "max-volume": 200,
        "on-click": "pulseaudio-popup",
        "on-click-right": "wpctl set-mute @DEFAULT_AUDIO_SINK@ toggle"
    },

    "battery": {
        "states": {
            "warning": 30,
            "critical": 15
        },
        "format": "{icon}  {capacity}% ({time})",
        "format-charging": "  {capacity}% ({time})",
        "format-plugged": "  {capacity}% ({time})",
        "format-full": "{icon} ",
        "format-icons": ["", "", "", "", ""]
    }
}
